Commit 30f2af0a authored by Chun-wei Fan's avatar Chun-wei Fan

Merge branch 'quartz-no-harfbuzz' into 'gtk-3-24'

Require Harfbuzz only for Wayland and X11 backends.

See merge request GNOME/gtk!955
parents a25aa208 e169e2bd
......@@ -471,7 +471,8 @@ if cc.get_id() == 'msvc' and not harfbuzz_dep.found()
endif
endif
if not harfbuzz_dep.found()
require_harfbuzz = wayland_enabled or x11_enabled
if require_harfbuzz and not harfbuzz_dep.found()
harfbuzz_dep = dependency('harfbuzz', version: '>= 0.9', required: false,
fallback: ['harfbuzz', 'libharfbuzz_dep'])
endif
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment